Subject: bug#4951: 23.1.50; browse-url-default-windows-browser bug + patch

From: Lennart Borgman <[email-masked]>
Date: Wed, 18 Nov 2009 04:41:23 +0100

On Wed, Nov 18, 2009 at 4:35 AM, Stefan Monnier
<[email-masked]> wrote:
>> browse-url-default-windows-browser does not work any longer.  I am
>> unsure when it stopped working, but on at least Windows XP the
>> attached patch seems necessary.  Could we please apply this as soon as
>> possible so it will get tested?
>
> Could you explain why it's necessary?  I mean I understand you say that
> the current doesn't work, but I'd like to understand why it doesn't work.

No, I do not understand why it is necessary ... ;-)

There are two changes:

1) file: => file:///

This was discussed some time ago (a yr or two?) and it looks like this
is a more correct syntax for the file URL.

2) Changing the verb to w32-shell-execute (ShellExecute) from "open"
to nil is for some reason I do not know necessary. The answer to why
hides deep within the w32 registry and maybe some knowledgeable
persons at MS... It might be a mismatch of some kind, I don't know. I
believe the verbs are not that well thought out and used all the time.
Probably the registry entry has taken over from the program code
(which give users and other programs better possibilities).